« 上一篇

armbain安装php7.3-curl出错的解决

arm64的N1盒子上安装21.xx的armbian(debian10),

在此基础上安装nextcloud,提示php-cURL没有安装。

apt安装之,提示需要liburl3,但是该软件不存在,需要安装liburl4才行。

百思不得其解,后来在 https://github.com/oerdnj/deb.sury.org/issues/1193  发现问题所在,

是php的源仍然使用着stretch,改为 buster 就好了  /etc/apt/sources.list.d/php.list

修改后 apt update 一下,重新 apt install php7.3-curl 就可以了。